### Property

# WebKit Settings:user-agent

#### Declaration

    property user-agent: utf8 [ read, write, construct ]

#### Description [src]

The user-agent string used by WebKit. Unusual user-agent strings may cause web content to render incorrectly or fail to run, as many web pages are written to parse the user-agent strings of only the most popular browsers. Therefore, it’s typically better to not completely override the standard user-agent, but to use `webkit_settings_set_user_agent_with_application_details()` instead.

If this property is set to the empty string or `NULL`, it will revert to the standard user-agent.

Type:`gchar*`

Default value | NULL
Getter method | `webkit_settings_get_user_agent()`
Setter method | `webkit_settings_set_user_agent()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no